#!/usr/local/bin/wish
#############################################################################
# Visual Tcl v1.20 Project
#

#################################
# GLOBAL VARIABLES
#
global Query; 
global produto; 
global widget; 

#################################
# USER DEFINED PROCEDURES
#
proc init {argc argv} {

}

init $argc $argv

proc {main} {argc argv} {
source query.tcl
	query_opendb loja
	query produto -idattr prodid
	produto select
}

proc {Window} {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 1009 870
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top17 {base} {
    if {$base == ""} {
        set base .top17
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel \
        -background gray80 
    wm focusmodel $base passive
    wm geometry $base 409x449+244+282
    wm maxsize $base 1009 870
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm deiconify $base
    wm title $base "New Toplevel 1"
    entry $base.ent18 \
        -background gray80 -textvariable produto(pnome) -validate none 
    label $base.lab19 \
        -background gray80 -borderwidth 1 -text produto 
    label $base.lab20 \
        -background gray80 -borderwidth 1 -text {cdigo do produto} 
    entry $base.ent21 \
        -background gray80 -textvariable produto(prodid) -validate none 
    button $base.but22 \
        -background gray80 -command {produto select} -padx 9 -pady 3 \
        -text select 
    button $base.but23 \
        -background gray80 -command {produto insert} -padx 9 -pady 3 \
        -text insert 
    button $base.but24 \
        -background gray80 -command {produto clear} -padx 9 -pady 3 \
        -text clear 
    button $base.but17 \
        -background gray80 -command {produto set -1} -padx 9 -pady 3 -text < 
    button $base.but18 \
        -background gray80 -command {produto set +1} -padx 9 -pady 3 -text > 
    button $base.but19 \
        -background gray80 -command {produto set 0} -padx 9 -pady 3 -text << 
    button $base.but20 \
        -background gray80 -command {produto set end} -padx 9 -pady 3 \
        -text >> 
    button $base.but21 \
        -background gray80 -command {produto update} -padx 9 -pady 3 \
        -text update 
    button $base.but25 \
        -background gray80 -command {produto delete} -padx 9 -pady 3 \
        -text delete 
    label $base.lab27 \
        -background gray80 -borderwidth 1 -text {<<<<< navigation >>>>>} 
    label $base.lab28 \
        -background gray80 -borderwidth 1 -font {Helvetica -24 bold} \
        -foreground #a80000 -text {Simple example} 
    button $base.but26 \
        -background gray80 -command exit -padx 9 -pady 3 -text exit 
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.ent18 \
        -x 60 -y 225 -width 303 -height 27 -anchor nw -bordermode ignore 
    place $base.lab19 \
        -x 60 -y 205 -anchor nw -bordermode ignore 
    place $base.lab20 \
        -x 60 -y 120 -anchor nw -bordermode ignore 
    place $base.ent21 \
        -x 60 -y 140 -width 78 -height 22 -anchor nw -bordermode ignore 
    place $base.but22 \
        -x 115 -y 325 -anchor nw -bordermode ignore 
    place $base.but23 \
        -x 265 -y 325 -anchor nw -bordermode ignore 
    place $base.but24 \
        -x 195 -y 365 -anchor nw -bordermode ignore 
    place $base.but17 \
        -x 240 -y 135 -anchor nw -bordermode ignore 
    place $base.but18 \
        -x 275 -y 135 -anchor nw -bordermode ignore 
    place $base.but19 \
        -x 195 -y 135 -anchor nw -bordermode ignore 
    place $base.but20 \
        -x 315 -y 135 -anchor nw -bordermode ignore 
    place $base.but21 \
        -x 190 -y 325 -anchor nw -bordermode ignore 
    place $base.but25 \
        -x 115 -y 365 -anchor nw -bordermode ignore 
    place $base.lab27 \
        -x 205 -y 110 -anchor nw -bordermode ignore 
    place $base.lab28 \
        -x 110 -y 40 -anchor nw -bordermode ignore 
    place $base.but26 \
        -x 275 -y 365 -anchor nw -bordermode ignore 
}

Window show .
Window show .top17

main $argc $argv
