# handmade example for query.tcl
# 
# accessing two linked tables with
# produto(fornid) == fornecedor(fornid)  
# -- use the same field name for the 2 relations --
# 
# Notice that all query commands are only the 4 lines just below
# and the commands attached to the buttons. (isn't that easy?)

source query.tcl

query_opendb loja
query produto -idattr prodid -order pnome
query fornecedor -idattr fornid
produto add fornecedor

label .lb1 -text "cod."
entry .e1 -textvariable produto(prodid)
grid .lb1 .e1 -padx 5 -pady 5

label .lb2 -text "produto"
entry .e2 -textvariable produto(pnome)
grid .lb2 .e2 -padx 5 -pady 5


label .lb3 -text "fornecedor"
entry .e3 -textvariable produto(fnome)
grid .lb3 .e3 -padx 5 -pady 5


frame .bts
button .bts.b1 -text select -command {produto select}
button .bts.b2 -text prev   -command {produto set -1}
button .bts.b3 -text next   -command {produto set +1}
button .bts.quit -text quit -command exit
pack .bts.b1 .bts.b2 .bts.b3 .bts.quit -side left -expand 1
grid .bts -columnspan 2

